> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /polymarket/markets/trades

> Get the public trade feed for a Polymarket market by its condition id

**Price:** 1 credit per 1000 results



## OpenAPI

````yaml /openapi/finance-markets.json post /api/polymarket/markets/trades
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/polymarket/markets/trades:
    post:
      tags:
        - /polymarket
      summary: /polymarket/markets/trades
      description: |-
        Get the public trade feed for a Polymarket market by its condition id

        **Price:** 1 credit per 1000 results
      operationId: __api_polymarket_markets_trades_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PolymarketMarketTradesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PolymarketTrade'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PolymarketMarketTradesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        market:
          type: string
          pattern: ^0x[0-9a-fA-F]{64}$
        count:
          type: integer
          minimum: 1
        side:
          anyOf:
            - $ref: '#/components/schemas/PolymarketTradeSide'
            - type: 'null'
        user:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - market
        - count
    PolymarketTrade:
      properties:
        '@type':
          type: string
          default: PolymarketTrade
        transaction_hash:
          type: string
        condition_id:
          anyOf:
            - type: string
            - type: 'null'
        asset_id:
          anyOf:
            - type: string
            - type: 'null'
        side:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        amount:
          anyOf:
            - type: number
            - type: 'null'
        outcome:
          anyOf:
            - type: string
            - type: 'null'
        outcome_index:
          anyOf:
            - type: integer
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        event_alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        trader:
          anyOf:
            - $ref: '#/components/schemas/PolymarketTradeTrader'
            - type: 'null'
        traded_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - transaction_hash
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    PolymarketTradeSide:
      type: string
      enum:
        - BUY
        - SELL
    PolymarketTradeTrader:
      properties:
        '@type':
          type: string
          default: PolymarketTradeTrader
        wallet:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        pseudonym:
          anyOf:
            - type: string
            - type: 'null'
        bio:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - wallet
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````